gh(1)

NAME

gh-pr-merge - Merge a pull request

SYNOPSIS

gh pr merge [ | | ] [flags]

DESCRIPTION

Merge a pull request on GitHub.

Without an argument, the pull request that belongs to the current branch is selected.

OPTIONS

--admin[=false]
    Use administrator privileges to merge a pull request that does not meet requirements

--auto[=false]
    Automatically merge only after necessary requirements are met

-b, --body=""
    Body text for the merge commit

-F, --body-file=""
    Read body text from file (use "-" to read from standard input)

-d, --delete-branch[=false]
    Delete the local and remote branch after merge

--disable-auto[=false]
    Disable auto-merge for this pull request

-m, --merge[=false]
    Merge the commits with the base branch

-r, --rebase[=false]
    Rebase the commits onto the base branch

-s, --squash[=false]
    Squash the commits into one commit and merge it into the base branch

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the [HOST/]OWNER/REPO format

SEE ALSO

gh-pr(1)